# Type Alias AggregationOptions

type AggregationOptions = {
aggregate: string;
field?: string;
orderBy?: string;
ref?: string;
rename_to?: string;
subselect?: SubselectOptions;
table: string;
through?: string;
valueFormula?: string;
where?: Where;
}

- Defined in dbtypes.ts:88

##### Index

### Properties

aggregate
field?
orderBy?
ref?
rename_to?
subselect?
table
through?
valueFormula?
where?

## Properties

### aggregate

aggregate: string

- Defined in dbtypes.ts:94

### `Optional` field

field?: string

- Defined in dbtypes.ts:91

### `Optional` orderBy

orderBy?: string

- Defined in dbtypes.ts:97

### `Optional` ref

ref?: string

- Defined in dbtypes.ts:90

### `Optional` rename_to

rename_to?: string

- Defined in dbtypes.ts:98

### `Optional` subselect

subselect?: SubselectOptions

- Defined in dbtypes.ts:95

### table

table: string

- Defined in dbtypes.ts:89

### `Optional` through

through?: string

- Defined in dbtypes.ts:96

### `Optional` valueFormula

valueFormula?: string

- Defined in dbtypes.ts:92

### `Optional` where

where?: Where

- Defined in dbtypes.ts:93